Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFSheet

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet

All Implemented Interfaces:
  XSLFShapeContainer, poi.support.Iterable

Direct Known Subclasses:
  XSLFNotes, XSLFNotesMaster, XSLFSlide, XSLFSlideLayout, XSLFSlideMaster

    public abstract class XSLFSheet

extends POIXMLDocumentPart
implements XSLFShapeContainer

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XSLFSheet()`
`XSLFSheet(PackagePart part, PackageRelationship rel)`

Method Summary
`XSLFSheet` | `appendContent(XSLFSheet src)` Append content to this sheet.
`void` | `clear()` Removes all of the elements from this container (optional operation).
`XSLFAutoShape` | `createAutoShape()` create a new shape with a predefined geometry and add it to this shape container
`XSLFConnectorShape` | `createConnector()` create a connector
`XSLFFreeformShape` | `createFreeform()` create a new shape with a custom geometry
`XSLFGroupShape` | `createGroup()` create a group of shapes belonging to this container
`XSLFPictureShape` | `createPicture(int pictureIndex)` create a picture belonging to this container
`XSLFTable` | `createTable()`
`XSLFTextBox` | `createTextBox()` create a text box
`void` | `draw(java.awt.Graphics2D graphics)` Render this sheet into the supplied graphics object
`XSLFBackground` | `getBackground()`
`XSLFCommonSlideData` | `getCommonSlideData()`
`boolean` | `getFollowMasterGraphics()`
`abstract XSLFSheet` | `getMasterSheet()`
`XSLFTextShape` | `getPlaceholder(int idx)`
`XSLFTextShape[]` | `getPlaceholders()`
`XSLFShape[]` | `getShapes()` Returns an array containing all of the shapes in this sheet
`XMLSlideShow` | `getSlideShow()`
`abstract org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`XSLFSheet` | `importContent(XSLFSheet src)` Set the contents of this sheet to be a copy of the source sheet.
`java.util.Iterator` | `iterator()` Returns an iterator over the shapes in this sheet
`boolean` | `removeShape(XSLFShape xShape)` Removes the specified shape from this sheet, if it is present (optional operation).

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFSheet

    public XSLFSheet()

### XSLFSheet

    public XSLFSheet(PackagePart part,
                     PackageRelationship rel)

Method Detail

### getSlideShow

    public XMLSlideShow getSlideShow()

  Returns:
    the XMLSlideShow this sheet belongs to

### getXmlObject

    public abstract org.apache.xmlbeans.XmlObject getXmlObject()

  Returns:
    top-level Xml bean representing this sheet

### getCommonSlideData

    public XSLFCommonSlideData getCommonSlideData()

### createAutoShape

    public XSLFAutoShape createAutoShape()

  Description copied from interface: `XSLFShapeContainer`
  create a new shape with a predefined geometry and add it to this shape container

  Specified by:
    `createAutoShape` in interface `XSLFShapeContainer`

### createFreeform

    public XSLFFreeformShape createFreeform()

  Description copied from interface: `XSLFShapeContainer`
  create a new shape with a custom geometry

  Specified by:
    `createFreeform` in interface `XSLFShapeContainer`

### createTextBox

    public XSLFTextBox createTextBox()

  Description copied from interface: `XSLFShapeContainer`
  create a text box

  Specified by:
    `createTextBox` in interface `XSLFShapeContainer`

### createConnector

    public XSLFConnectorShape createConnector()

  Description copied from interface: `XSLFShapeContainer`
  create a connector

  Specified by:
    `createConnector` in interface `XSLFShapeContainer`

### createGroup

    public XSLFGroupShape createGroup()

  Description copied from interface: `XSLFShapeContainer`
  create a group of shapes belonging to this container

  Specified by:
    `createGroup` in interface `XSLFShapeContainer`

### createPicture

    public XSLFPictureShape createPicture(int pictureIndex)

  Description copied from interface: `XSLFShapeContainer`
  create a picture belonging to this container

  Specified by:
    `createPicture` in interface `XSLFShapeContainer`
  Returns:

### createTable

    public XSLFTable createTable()

### getShapes

    public XSLFShape[] getShapes()

  Returns an array containing all of the shapes in this sheet

  Specified by:
    `getShapes` in interface `XSLFShapeContainer`
  Returns:
    an array of all shapes in this sheet

### iterator

    public java.util.Iterator iterator()

  Returns an iterator over the shapes in this sheet

  Specified by:
    `iterator` in interface `poi.support.Iterable`
  Returns:
    an iterator over the shapes in this sheet

### removeShape

    public boolean removeShape(XSLFShape xShape)

  Removes the specified shape from this sheet, if it is present (optional operation). If this sheet does not contain the element, it is unchanged.

  Specified by:
    `removeShape` in interface `XSLFShapeContainer`
  Parameters:
    `xShape` - shape to be removed from this sheet, if present
  Returns:
    `true` if this sheet contained the specified element
  Throws:
    `java.lang.IllegalArgumentException` - if the type of the specified shape is incompatible with this sheet (optional)

### clear

    public void clear()

  Removes all of the elements from this container (optional operation). The container will be empty after this call returns.

  Specified by:
    `clear` in interface `XSLFShapeContainer`

### importContent

    public XSLFSheet importContent(XSLFSheet src)

  Set the contents of this sheet to be a copy of the source sheet. This method erases any existing shapes and replaces them with object from the source sheet.

  Parameters:
    `src` - the source sheet to copy data from
  Returns:
    modified 'this'

### appendContent

    public XSLFSheet appendContent(XSLFSheet src)

  Append content to this sheet.

  Parameters:
    `src` - the source sheet
  Returns:
    modified `this`.

### getMasterSheet

    public abstract XSLFSheet getMasterSheet()

  Returns:
    master of this sheet.

### getPlaceholder

    public XSLFTextShape getPlaceholder(int idx)

  Parameters:
    `idx` - 0-based index of a placeholder in the sheet
  Returns:
    placeholder

### getPlaceholders

    public XSLFTextShape[] getPlaceholders()

  Returns:
    all placeholder shapes in this sheet

### getFollowMasterGraphics

    public boolean getFollowMasterGraphics()

  Returns:
    whether shapes on the master sheet should be shown. By default master graphics is turned off. Sheets that support the notion of master (slide, slideLayout) should override it and check this setting in the sheet XML

### getBackground

    public XSLFBackground getBackground()

  Returns:
    background for this sheet

### draw

    public void draw(java.awt.Graphics2D graphics)

  Render this sheet into the supplied graphics object

  Parameters:
    `graphics` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD